import AppRouter from "@/routes";
import {ConfigProvider} from "@/contexts/config";
import {AuthProvider} from "@/contexts/auth";
import '@/i18n/config.ts';

function App() {
    return (
        <ConfigProvider>
            <AuthProvider>
                <AppRouter/>
            </AuthProvider>
        </ConfigProvider>
    )
}

export default App
