export class BizError extends Error {
    /**
     * 错误码
     */
    code = 1;
    request_id = '';
    data: string | number | object | undefined | null;

    constructor(message: string, code = 1,request_id='', data?: AllType) {
        super(message);
        this.request_id = request_id;
        this.code = code;
        this.data = data;
    }
}

export enum BillStatus {
    PENDING= 'PENDING',
    // 已过期
    EXPIRED = 'EXPIRED',
    PAID = 'PAID',
    CANCELED = 'CANCELED',
}
