/// <reference types="vite/client" />
/// <reference types="@types/auth" />

declare type decimal = number;
declare type int = number;
declare type AllType = string | number | object | undefined | null;
declare const APP_SITE_URL: string;
declare const AppConfig: {
    // 系统部署运行地址(主要用于支付二维码生成)
    SITE_URL: string;
    // 接口前缀
    API_PREFIX: string;
    // flywire 支付网关
    FIY_WIRE_GATEWAY: string;
    // sso 认证地址
    SSO_AUTH_URL: string;
    // sso 认证客户端 key
    SSO_AUTH_CLIENT_KEY: string;
    // 登录凭证 token key
    AUTH_TOKEN_KEY: string;
    ldapApiUrl:string;
    ldapApiKey: string;
};
declare const AppMode: 'test' | 'production' | 'development';
declare const AppMode: 'test' | 'production' | 'development';

declare type BasicComponentProps = {
    children?: React.ReactNode;
}
declare type BasicComponent<T> = React.FC<BasicComponentProps & T>