// loader style
import styled from "@emotion/styled";
import {LinearProgress} from "@/components/progress";

const LoaderWrapper = styled.div({
    position: 'fixed',
    top: 0,
    left: 0,
    zIndex: 2001,
    width: '100%',
});

// ==============================|| Loader ||============================== //


const Loader = () => (
    <LoaderWrapper>
        <LinearProgress />
    </LoaderWrapper>
);

export default Loader;
