import i18next from 'i18next';
import {initReactI18next} from 'react-i18next';
import LANG_SC from "./translations/sc.json"
import LANG_TC from "./translations/tc.json"
import LANG_EN from "./translations/en.json"


i18next.use(initReactI18next).init({
    // debug: true,
    fallbackLng: 'en-US',
    resources: {
        'en-US': {translation: LANG_EN},
        'zh-CN': {translation: LANG_SC},
        'zh-HK': {translation: LANG_TC},
    },
});//.then(r  =>console.log('init i18n success',r));