// 请求方式
declare type RequestMethod = 'get' | 'post' | 'put' | 'delete'

// 接口返回数据类型
declare interface APIResponse<T> {
    /**
     * 错误码，0:成功，其他失败
     */
    code: number;
    data?: T;
    /**
     * 非0情况下，提示信息
     */
    message: string;
    request_id: string;
}